summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTong Chunli2018-11-02 22:51:56 +0800
committerTong Chunli2018-11-02 22:51:56 +0800
commit604400076f6f01d1135ca9bab9160c890d4874e1 (patch)
treec255895b96e11caef6b7f2629af27272a2b49d24
downloadaur-604400076f6f01d1135ca9bab9160c890d4874e1.tar.gz
Initial Commit
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD20
2 files changed, 35 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..2f12d9adeff
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = python-colcon-argcomplete
+ pkgdesc = An extension for colcon-core to provide command line completion using argcomplete.
+ pkgver = 0.2.2
+ pkgrel = 1
+ url = https://pypi.org/project/colcon-argcomplete
+ arch = any
+ license = Apache
+ makedepends = python-setuptools
+ depends = python-colcon-core
+ depends = python-argcomplete
+ source = https://files.pythonhosted.org/packages/9a/c6/14b2ec6eff251551d987b39ad6d7e5fe0426aeb22ef2c7584957449e820a/colcon-argcomplete-0.2.2.tar.gz
+ sha256sums = 0ea8014adf800cc0be0d9865a987430b903fb7c6569c087bb5b9618d7aa543ad
+
+pkgname = python-colcon-argcomplete
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..4c55abccdf4
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Tong Chunli<t.cunly at 163 dot com>
+pkgname=python-colcon-argcomplete
+pkgver=0.2.2
+pkgrel=1
+pkgdesc="An extension for colcon-core to provide command line completion using argcomplete."
+arch=(any)
+url="https://pypi.org/project/colcon-argcomplete"
+license=('Apache')
+depends=('python-colcon-core' 'python-argcomplete')
+makedepends=('python-setuptools')
+source=("https://files.pythonhosted.org/packages/9a/c6/14b2ec6eff251551d987b39ad6d7e5fe0426aeb22ef2c7584957449e820a/colcon-argcomplete-$pkgver.tar.gz")
+sha256sums=('0ea8014adf800cc0be0d9865a987430b903fb7c6569c087bb5b9618d7aa543ad')
+
+
+package() {
+ cd ${srcdir}/colcon-argcomplete-${pkgver}
+
+ python setup.py install --root=${pkgdir} --prefix=/usr --optimize=1 || echo "NOT A PROBLEM"
+ install -D -m644 README.rst -t "${pkgdir}/usr/share/doc/${pkgname}"
+}